This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 436099 - [ata_piix] booting has failed
[ata_piix] booting has failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
http://js.id.au/img2038.jpeg
HotIssue
:
: 438985 442853 443767 (view as bug list)
Depends On:
Blocks: F9KernelBlocker
  Show dependency treegraph
 
Reported: 2008-03-05 08:02 EST by John Summerfield
Modified: 2013-01-09 23:35 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 09:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the log from booting kernel-2.6.25-0.90.rc3.git5.fc9 (20.42 KB, text/plain)
2008-03-05 20:55 EST, John Summerfield
no flags Details
config for kernel (45.81 KB, text/plain)
2008-03-16 17:24 EDT, John Summerfield
no flags Details
Mote boot logs (38.56 KB, text/plain)
2008-03-16 22:44 EDT, John Summerfield
no flags Details
force hardreset when SATA link is in sleep mode (1.72 KB, text/plain)
2008-04-21 10:01 EDT, Chuck Ebbert
no flags Details
dmesg of a HP7700, kernel 2.6.25-6, sata works (22.16 KB, text/plain)
2008-04-23 07:22 EDT, Erik van Pienbroek
no flags Details
dmesg from sat 26th rawhide boot.iso (15.13 KB, text/plain)
2008-04-27 14:52 EDT, Jonathan Roberts
no flags Details

  None (edit)
Description John Summerfield 2008-03-05 08:02:32 EST
Description of problem:

The script in the initrd can't find the disk drives and ends with the above message.

Version-Release number of selected component (if applicable):


How reproducible:
All 2.6.25 kernels.

Steps to Reproduce:
1. Install Rawhide on my system (HP DC7700 SFF)
2. Use any 2.6.25 kernel
3.
  
Actual results:
booting has failed

Expected results:
booting to contine

Additional info:
http://js.id.au/img2038.jpeg
http://www.google.com/search?num=100&hl=en&c2coff=1&safe=active&client=mozilla&rls=org.mozilla%3Aen-US%3Aunofficial&q=F9alpha+AMD-64+HP+DC7700+SFF+switch_root+&btnG=Search

00:00.0 0600: 8086:2990 (rev 02)
	Subsystem: 103c:2801
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel driver in use: agpgart-intel

00:02.0 0300: 8086:2992 (rev 02) (prog-if 00 [VGA controller])
	Subsystem: 103c:2801
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at f0400000 (32-bit, non-prefetchable) [size=1M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1100 [size=8]
	Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:03.0 0780: 8086:2994 (rev 02)
	Subsystem: 103c:2801
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at f0525900 (64-bit, non-prefetchable) [size=16]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [8c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000

00:19.0 0200: 8086:104a (rev 02)
	Subsystem: 103c:2800
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f0500000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f0524000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 1000 [size=32]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000
	Kernel driver in use: e1000
	Kernel modules: e1000

00:1a.0 0c03: 8086:2834 (rev 02) (prog-if 00 [UHCI])
	Subsystem: 103c:2801
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1020 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.1 0c03: 8086:2835 (rev 02) (prog-if 00 [UHCI])
	Subsystem: 103c:2801
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 1040 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.7 0c03: 8086:283a (rev 02) (prog-if 20 [EHCI])
	Subsystem: 103c:2801
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at f0525000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1b.0 0403: 8086:284b (rev 02)
	Subsystem: 103c:2801
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f0520000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 0604: 8086:283f (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=20, subordinate=20, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  2, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 103c:2801
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 0c03: 8086:2830 (rev 02) (prog-if 00 [UHCI])
	Subsystem: 103c:2801
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1060 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 0c03: 8086:2831 (rev 02) (prog-if 00 [UHCI])
	Subsystem: 103c:2801
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 1080 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 0c03: 8086:2836 (rev 02) (prog-if 20 [EHCI])
	Subsystem: 103c:2801
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at f0525400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 0604: 8086:244e (rev f2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Subsystem: 103c:2801

00:1f.0 0601: 8086:2814 (rev 02)
	Subsystem: 103c:2801
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel modules: iTCO_wdt

00:1f.2 0101: 8086:2820 (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: 103c:2801
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 10e0 [size=16]
	Region 5: I/O ports at 10f0 [size=16]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ata_piix
	Kernel modules: ata_generic, ata_piix
Comment 1 Dave Jones 2008-03-05 13:20:37 EST
very likely a mkinitrd bug.
Comment 2 John Summerfield 2008-03-05 20:50:36 EST
Installed 2.6.23 with the same mkinitrd are fine.
Comment 3 John Summerfield 2008-03-05 20:55:15 EST
Created attachment 296974 [details]
This is the log from booting kernel-2.6.25-0.90.rc3.git5.fc9

This is way better than my photo, which I plan to remove:-)
Comment 4 John Summerfield 2008-03-05 22:32:11 EST
The problem also occurs in 2.6.21.7-2897.fc9xen, it was masked by 436249 which
prevented my reading the messages until now.

In summary, there is no f9alpha kernel that boots on my hardware.
Comment 5 Andrew Farris 2008-03-06 02:30:24 EST
I have been installing (almost all) latest rawhide kernels successfully by using kernel-2.6.24.1-
23.fc9.i686 as the current running kernel when I install the new kernel.  I have only had a couple of the 
2.6.25 kernels fail to correctly build the initrd while I use this method of booting to the old kernel before 
installing the new one.  The current latest, 0.82, and 0.90 work when installed from 2.6.24.1-23, but do 
not work when installed from any 2.6.25 kernels (I have a variety of them installed from 0.40 upward).

The problem manifests itself by seeing the switch_root failed error message (sorry no copy of it to post).  
The kernel install seems fine when tried from 2.6.25 kernels, but the initrd is not complete.  Using the 
same version of mkinitrd (the latest rawhide) while running the old kernels creates the correct initrd.

Comment 6 Andrew Farris 2008-03-06 02:36:29 EST
It is interesting though that my machine will not restart itself when it fails
to boot the kernel and displays the switch_root error, it just stops there and I
have to hard power cycle it (that is a Dell precision 340).
Comment 7 John Summerfield 2008-03-08 09:32:48 EST
Still no go at these levels:
[summer@localhost ~]$ rpm -q --last mkinitrd kernel
kernel-2.6.25-0.95.rc4.fc9                    Sat 08 Mar 2008 11:18:16 PM WST
mkinitrd-6.0.34-1.fc9                         Sat 08 Mar 2008 11:14:31 PM WST

Unlike Andrew %-alt-del works fine
Comment 8 John Summerfield 2008-03-10 04:30:04 EDT
I'm up to here, no improvement (unless xen not in a boot-loop is an
imprevement)'kernel-xen-2.6.25-0.2.rc4.fc9                 Mon Mar 10 16:44:58 2008
kernel-2.6.25-0.101.rc4.git3.fc9              Mon Mar 10 16:44:05 2008
kernel-2.6.25-0.95.rc4.fc9                    Sat Mar  8 23:18:16 2008
mkinitrd-6.0.34-1.fc9                         Sat Mar  8 23:14:31 2008

I've been trying to get a shell by adding busybox so I can poke around and see
what's not being done properly; I'll start a thread on fedora-test and I'd
appreciate it if someone can comment and explain what's wrong.
Comment 9 John Summerfield 2008-03-11 03:28:20 EDT
I eventually got busybox running, nash was unkindly deleting everything in
switchroot.

All the expected modules are in place. What else is there to look at?

btw the 2.6.24 Andrew carries on about runs okay, but I still don't have a
working 2.6.25 kernel.

Comment 10 Will Woods 2008-03-11 12:14:47 EDT
Are you using encrypted disks (the default in F9a)? If so, this is very likely a
duplicate of bug 432813 and/or bug 435228.
Comment 11 John Summerfield 2008-03-11 20:30:00 EDT
No, mine was installed as an f8 beta and upgrade from there,
Comment 12 John Summerfield 2008-03-16 17:02:31 EDT
Bugzilla willing, I'm changing this back to kernel and reassigning the bug. The
problem is the kernel's not detecting my drives, and I have reproduced the
problem using a kernel built w/o initrd.
Linux version 2.6.25-rc5-git4 (summer@potoroo.demo.lan) (gcc version 4.3.0
20080307 (Red Hat 4.3.0-2) (GCC) ) #1 SMP PREEMPT Sun Mar 16 22:21:22 WST 2008
Command line: ro root=/dev/VolGroup00/LogVol00 pci=nomsi,nommconf vga=794
video=vesafb selinux=0 console=ttyS0,115200n8 console=/dev/tty
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007e7b1d00 (usable)
 BIOS-e820: 000000007e7b1d00 - 000000007e7b3d00 (ACPI NVS)
 BIOS-e820: 000000007e7b3d00 - 000000007f000000 (reserved)
 BIOS-e820: 00000000f4000000 - 00000000f8000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed40000 (reserved)
 BIOS-e820: 00000000fed45000 - 0000000100000000 (reserved)
PCI: Unknown option `nommconf'
end_pfn_map = 1048576
WARNING: BIOS bug: CPU MTRRs don't cover all of memory, losing 7MB of RAM.
------------[ cut here ]------------
WARNING: at arch/x86/kernel/cpu/mtrr/main.c:706
mtrr_trim_uncached_memory+0x13b/0x19e() (Not tainted)
Pid: 0, comm: swapper Not tainted 2.6.25-rc5-git4 #1

Call Trace:
 [<ffffffff8023d79f>] warn_on_slowpath+0x54/0x7e
 [<ffffffff8081caf2>] mtrr_trim_uncached_memory+0x13b/0x19e
 [<ffffffff8081a83a>] setup_arch+0x1fc/0x44b
 [<ffffffff808168d8>] start_kernel+0x6e/0x28e
 [<ffffffff808161db>] _sinittext+0x1db/0x1e1

---[ end trace ca143223eefdc828 ]---
update e820 for mtrr
modified physical RAM map:
 modified: 0000000000000000 - 000000000009fc00 (usable)
 modified: 000000000009fc00 - 00000000000a0000 (reserved)
 modified: 00000000000e8000 - 0000000000100000 (reserved)
 modified: 0000000000100000 - 000000007e000000 (usable)
 modified: 000000007e000000 - 000000007e7b1000 (reserved)
 modified: 000000007e7b1000 - 000000007e7b1d00 (usable)
 modified: 000000007e7b1d00 - 000000007e7b3d00 (ACPI NVS)
 modified: 000000007e7b3d00 - 000000007f000000 (reserved)
 modified: 00000000f4000000 - 00000000f8000000 (reserved)
 modified: 00000000fec00000 - 00000000fed40000 (reserved)
 modified: 00000000fed45000 - 0000000100000000 (reserved)
end_pfn_map = 1048576
DMI 2.4 present.
ACPI: RSDP 000E7610, 0014 (r0 COMPAQ)
ACPI: RSDT 7E7C3D40, 003C (r1 HPQOEM SLIC-BPC 20060830             0)
ACPI: FACP 7E7C3DE8, 0074 (r1 COMPAQ BROADH2O        1             0)
ACPI: DSDT 7E7C410B, 9558 (r1 COMPAQ DSDT_PRJ        1 MSFT  100000E)
ACPI: FACS 7E7C3D00, 0040
ACPI: APIC 7E7C3E5C, 0068 (r1 COMPAQ BROADH2O        1             0)
ACPI: ASF! 7E7C3EC4, 0063 (r32 COMPAQ BROADH2O        1             0)
ACPI: MCFG 7E7C3F27, 003C (r1 COMPAQ BROADH2O        1             0)
ACPI: TCPA 7E7C3F63, 0032 (r1 COMPAQ BROADH2O        1             0)
ACPI: SLIC 7E7C3F95, 0176 (r1 HPQOEM SLIC-BPC        1             0)
ACPI: DMI detected: Hewlett-Packard
early res: 0 [0-fff] BIOS data page
early res: 1 [6000-7fff] SMP_TRAMPOLINE
early res: 2 [200000-8b9c63] TEXT DATA BSS
early res: 3 [9fc00-a0bff] EBDA
early res: 4 [8000-bfff] PGTABLE
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  1048576
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0:        0 ->      159
    0:      256 ->   516096
ACPI: PM-Timer IO Port: 0xf808
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000e8000
PM: Registered nosave memory: 00000000000e8000 - 0000000000100000
PM: Registered nosave memory: 000000007e000000 - 000000007e7b1000
Allocating PCI resources starting at 80000000 (gap: 7f000000:75000000)
SMP: Allowing 2 CPUs, 0 hotplug CPUs
PERCPU: Allocating 25472 bytes of per cpu data
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 507212
Kernel command line: ro root=/dev/VolGroup00/LogVol00 pci=nomsi,nommconf vga=794
video=vesafb selinux=0 console=ttyS0,115200n8 console=/dev/tty
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
TSC calibrated against PM_TIMER
time.c: Detected 1861.991 MHz processor.
Console: colour dummy device 80x25
console [ttyS0] enabled
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Checking aperture...
Memory: 2024460k/2072260k available (4367k kernel code, 38892k reserved, 1703k
data, 280k init)
SLUB: Genslabs=12, HWalign=64, Order=0-1, MinObjects=4, CPUs=2, Nodes=1
Calibrating delay using timer specific routine.. 3725.75 BogoMIPS (lpj=1862879)
Security Framework initialized
Capability LSM initialized
Failure registering Root Plug module with the kernel
Failure registering Root Plug  module with primary security module.
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM2)
using mwait in idle threads.
ACPI: Core revision 20070126
Using local APIC timer interrupts.
Detected 16.624 MHz APIC timer.
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 3723.83 BogoMIPS (lpj=1861919)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Brought up 2 CPUs
net_namespace: 880 bytes
xor: automatically using best checksumming function: generic_sse
   generic_sse:  6780.000 MB/sec
xor: using function: generic_sse (6780.000 MB/sec)
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region f800-f87f claimed by ICH6 ACPI/GPIO/TCO
pci 0000:00:1f.0: quirk: region fa00-fa3f claimed by ICH6 GPIO
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 15 devices
ACPI: ACPI bus type pnp unregistered
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI-GART: No AMD northbridge found.
Time: tsc clocksource has been installed.
system 00:0c: ioport range 0x400-0x41f has been reserved
system 00:0c: ioport range 0x420-0x43f has been reserved
system 00:0c: ioport range 0x440-0x45f has been reserved
system 00:0c: ioport range 0x460-0x47f has been reserved
system 00:0c: ioport range 0x480-0x48f has been reserved
system 00:0c: ioport range 0xf800-0xf81f has been reserved
system 00:0c: ioport range 0xf820-0xf83f has been reserved
system 00:0c: ioport range 0xf840-0xf85f has been reserved
system 00:0c: ioport range 0xf860-0xf87f has been reserved
system 00:0c: ioport range 0xfa00-0xfa3f has been reserved
system 00:0c: ioport range 0xfc00-0xfc7f has been reserved
system 00:0c: ioport range 0xfc80-0xfcff has been reserved
system 00:0c: ioport range 0xfe00-0xfe7f has been reserved
system 00:0c: ioport range 0xfe80-0xfeff has been reserved
system 00:0d: ioport range 0x4d0-0x4d1 has been reserved
system 00:0d: ioport range 0xcb0-0xcbf has been reserved
system 00:0e: iomem range 0x0-0x9ffff could not be reserved
system 00:0e: iomem range 0x100000-0x7effffff could not be reserved
system 00:0e: iomem range 0xe4000-0xfffff could not be reserved
system 00:0e: iomem range 0xfec01000-0xfecfffff could not be reserved
system 00:0e: iomem range 0xfed00000-0xfed3ffff could not be reserved
system 00:0e: iomem range 0xfed40000-0xffffffff could not be reserved
system 00:0e: iomem range 0xf4000000-0xf7ffffff could not be reserved
system 00:0e: iomem range 0xcd000-0xe3fff has been reserved
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
NET: Registered protocol family 2
IP route cache hash table entries: 65536 (order: 7, 524288 bytes)
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
DLM (built Mar 16 2008 18:45:33) installed
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
NTFS driver 2.1.29 [Flags: R/O].
fuse init (API version 7.9)
async_tx: api initialized (sync-only)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
assign_interrupt_mode Found MSI capability
Could not find Carillo Ranch MCH device.
vesafb: framebuffer at 0xe0000000, mapped to 0xffffc20000080000, using 5120k,
total 7616k
vesafb: mode is 1280x1024x16, linelength=2560, pages=1
vesafb: scrolling: redraw
vesafb: Truecolor: size=0:5:6:5, shift=0:11:5:0
Console: switching to colour frame buffer device 160x64
fb0: VESA VGA frame buffer device
input: Power Button (FF) as /class/input/input0
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input1
ACPI: Power Button (CM) [PBTN]
ACPI: SSDT 7E7CE251, 0320 (r1 COMPAQ  CPU_TM2        1 MSFT  100000E)
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: Processor [CPU1] (supports 8 throttling states)
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
agpgart: Detected an Intel 965Q Chipset.
agpgart: Detected 7676K stolen memory.
agpgart: AGP aperture is 256M @ 0xe0000000
[drm] Initialized drm 1.1.0 20060810
ipmi message handler version 39.1
intelfb: Framebuffer driver for Intel(R)
830M/845G/852GM/855GM/865G/915G/915GM/945G/945GM chipsets
intelfb: Version 0.9.4
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing disabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
isa bounce pool size: 16 pages
brd: module loaded
loop: module loaded
nbd: registered device at major 43
Intel(R) PRO/1000 Network Driver - version 7.3.20-k2
Copyright (c) 1999-2006 Intel Corporation.
e1000e: Intel(R) PRO/1000 Network Driver - 0.2.0
e1000e: Copyright (c) 1999-2007 Intel Corporation.
ACPI: PCI Interrupt 0000:00:19.0[B] -> GSI 19 (level, low) -> IRQ 19
eth0: (PCI Express:2.5GB/s:Width x1) 00:18:71:84:a5:9e
eth0: Intel(R) PRO/1000 Network Connection
eth0: MAC: 4, PHY: 6, PBA No: 1002ff-0ff
Intel(R) Gigabit Ethernet Network Driver - version 1.0.8-k2
Copyright (c) 2007 Intel Corporation.
Ethernet Channel Bonding Driver: v3.2.4 (January 28, 2008)
bonding: Warning: either miimon or arp_interval and arp_ip_target module
parameters must be specified, otherwise bonding will not detect link failures!
see bonding.txt for details.
PPP generic driver version 2.4.2
PPP Deflate Compression module registered
PPP BSD Compression module registered
PPP MPPE Compression module registered
NET: Registered protocol family 24
PPPoL2TP kernel driver, V1.0
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
ipddp.c:v0.01 8/28/97 Bradford W. Johnson <johns393@maroon.tc.umn.edu>
ipddp0: Appletalk-IP Encap. mode by Bradford W. Johnson <johns393@maroon.tc.umn.edu>
console [netcon0] enabled
v/tty
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007e7b1d00 (usable)
 BIOS-e820: 000000007e7b1d00 - 000000007e7b3d00 (ACPI NVS)
 BIOS-e820: 000000007e7b3d00 - 000000007f000000 (reserved)
 BIOS-e820: 00000000f4000000 - 00000000f8000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed40000 (reserved)
 BIOS-e820: 00000000fed45000 - 0000000100000000 (reserved)
PCI: Unknown option `nommconf'
end_pfn_map = 1048576
WARNING: BIOS bug: CPU MTRRs don't cover all of memory, losing 7MB of RAM.
------------[ cut here ]------------
WARNING: at arch/x86/kernel/cpu/mtrr/main.c:706
mtrr_trim_uncached_memory+0x13b/0x19e() (Not tainted)
Pid: 0, comm: swapper Not tainted 2.6.25-rc5-git4 #1

Call Trace:
 [<ffffffff8023d79f>] warn_on_slowpath+0x54/0x7e
 [<ffffffff8081caf2>] mtrr_trim_uncached_memory+0x13b/0x19e
 [<ffffffff8081a83a>] setup_arch+0x1fc/0x44b
 [<ffffffff808168d8>] start_kernel+0x6e/0x28e
 [<ffffffff808161db>] _sinittext+0x1db/0x1e1

---[ end trace ca143223eefdc828 ]---
update e820 for mtrr
modified physical RAM map:
 modified: 0000000000000000 - 000000000009fc00 (usable)
 modified: 000000000009fc00 - 00000000000a0000 (reserved)
 modified: 00000000000e8000 - 0000000000100000 (reserved)
 modified: 0000000000100000 - 000000007e000000 (usable)
 modified: 000000007e000000 - 000000007e7b1000 (reserved)
 modified: 000000007e7b1000 - 000000007e7b1d00 (usable)
 modified: 000000007e7b1d00 - 000000007e7b3d00 (ACPI NVS)
 modified: 000000007e7b3d00 - 000000007f000000 (reserved)
 modified: 00000000f4000000 - 00000000f8000000 (reserved)
 modified: 00000000fec00000 - 00000000fed40000 (reserved)
 modified: 00000000fed45000 - 0000000100000000 (reserved)
end_pfn_map = 1048576
DMI 2.4 present.
ACPI: RSDP 000E7610, 0014 (r0 COMPAQ)
ACPI: RSDT 7E7C3D40, 003C (r1 HPQOEM SLIC-BPC 20060830             0)
ACPI: FACP 7E7C3DE8, 0074 (r1 COMPAQ BROADH2O        1             0)
ACPI: DSDT 7E7C410B, 9558 (r1 COMPAQ DSDT_PRJ        1 MSFT  100000E)
ACPI: FACS 7E7C3D00, 0040
ACPI: APIC 7E7C3E5C, 0068 (r1 COMPAQ BROADH2O        1             0)
ACPI: ASF! 7E7C3EC4, 0063 (r32 COMPAQ BROADH2O        1             0)
ACPI: MCFG 7E7C3F27, 003C (r1 COMPAQ BROADH2O        1             0)
ACPI: TCPA 7E7C3F63, 0032 (r1 COMPAQ BROADH2O        1             0)
ACPI: SLIC 7E7C3F95, 0176 (r1 HPQOEM SLIC-BPC        1             0)
ACPI: DMI detected: Hewlett-Packard
early res: 0 [0-fff] BIOS data page
early res: 1 [6000-7fff] SMP_TRAMPOLINE
early res: 2 [200000-8b9c63] TEXT DATA BSS
early res: 3 [9fc00-a0bff] EBDA
early res: 4 [8000-bfff] PGTABLE
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  1048576
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0:        0 ->      159
    0:      256 ->   516096
ACPI: PM-Timer IO Port: 0xf808
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000e8000
PM: Registered nosave memory: 00000000000e8000 - 0000000000100000
PM: Registered nosave memory: 000000007e000000 - 000000007e7b1000
Allocating PCI resources starting at 80000000 (gap: 7f000000:75000000)
SMP: Allowing 2 CPUs, 0 hotplug CPUs
PERCPU: Allocating 25472 bytes of per cpu data
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 507212
Kernel command line: ro root=/dev/VolGroup00/LogVol00 pci=nomsi,nommconf vga=794
video=vesafb selinux=0 console=ttyS0,115200n8 console=/dev/tty
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
TSC calibrated against PM_TIMER
time.c: Detected 1861.991 MHz processor.
Console: colour dummy device 80x25
console [ttyS0] enabled
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Checking aperture...
Memory: 2024460k/2072260k available (4367k kernel code, 38892k reserved, 1703k
data, 280k init)
SLUB: Genslabs=12, HWalign=64, Order=0-1, MinObjects=4, CPUs=2, Nodes=1
Calibrating delay using timer specific routine.. 3725.75 BogoMIPS (lpj=1862879)
Security Framework initialized
Capability LSM initialized
Failure registering Root Plug module with the kernel
Failure registering Root Plug  module with primary security module.
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM2)
using mwait in idle threads.
ACPI: Core revision 20070126
Using local APIC timer interrupts.
Detected 16.624 MHz APIC timer.
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 3723.83 BogoMIPS (lpj=1861919)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Brought up 2 CPUs
net_namespace: 880 bytes
xor: automatically using best checksumming function: generic_sse
   generic_sse:  6780.000 MB/sec
xor: using function: generic_sse (6780.000 MB/sec)
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region f800-f87f claimed by ICH6 ACPI/GPIO/TCO
pci 0000:00:1f.0: quirk: region fa00-fa3f claimed by ICH6 GPIO
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 15 devices
ACPI: ACPI bus type pnp unregistered
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI-GART: No AMD northbridge found.
Time: tsc clocksource has been installed.
system 00:0c: ioport range 0x400-0x41f has been reserved
system 00:0c: ioport range 0x420-0x43f has been reserved
system 00:0c: ioport range 0x440-0x45f has been reserved
system 00:0c: ioport range 0x460-0x47f has been reserved
system 00:0c: ioport range 0x480-0x48f has been reserved
system 00:0c: ioport range 0xf800-0xf81f has been reserved
system 00:0c: ioport range 0xf820-0xf83f has been reserved
system 00:0c: ioport range 0xf840-0xf85f has been reserved
system 00:0c: ioport range 0xf860-0xf87f has been reserved
system 00:0c: ioport range 0xfa00-0xfa3f has been reserved
system 00:0c: ioport range 0xfc00-0xfc7f has been reserved
system 00:0c: ioport range 0xfc80-0xfcff has been reserved
system 00:0c: ioport range 0xfe00-0xfe7f has been reserved
system 00:0c: ioport range 0xfe80-0xfeff has been reserved
system 00:0d: ioport range 0x4d0-0x4d1 has been reserved
system 00:0d: ioport range 0xcb0-0xcbf has been reserved
system 00:0e: iomem range 0x0-0x9ffff could not be reserved
system 00:0e: iomem range 0x100000-0x7effffff could not be reserved
system 00:0e: iomem range 0xe4000-0xfffff could not be reserved
system 00:0e: iomem range 0xfec01000-0xfecfffff could not be reserved
system 00:0e: iomem range 0xfed00000-0xfed3ffff could not be reserved
system 00:0e: iomem range 0xfed40000-0xffffffff could not be reserved
system 00:0e: iomem range 0xf4000000-0xf7ffffff could not be reserved
system 00:0e: iomem range 0xcd000-0xe3fff has been reserved
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
NET: Registered protocol family 2
IP route cache hash table entries: 65536 (order: 7, 524288 bytes)
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
DLM (built Mar 16 2008 18:45:33) installed
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
NTFS driver 2.1.29 [Flags: R/O].
fuse init (API version 7.9)
async_tx: api initialized (sync-only)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
assign_interrupt_mode Found MSI capability
Could not find Carillo Ranch MCH device.
vesafb: framebuffer at 0xe0000000, mapped to 0xffffc20000080000, using 5120k,
total 7616k
vesafb: mode is 1280x1024x16, linelength=2560, pages=1
vesafb: scrolling: redraw
vesafb: Truecolor: size=0:5:6:5, shift=0:11:5:0
Console: switching to colour frame buffer device 160x64
fb0: VESA VGA frame buffer device
input: Power Button (FF) as /class/input/input0
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input1
ACPI: Power Button (CM) [PBTN]
ACPI: SSDT 7E7CE251, 0320 (r1 COMPAQ  CPU_TM2        1 MSFT  100000E)
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: Processor [CPU1] (supports 8 throttling states)
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
agpgart: Detected an Intel 965Q Chipset.
agpgart: Detected 7676K stolen memory.
agpgart: AGP aperture is 256M @ 0xe0000000
[drm] Initialized drm 1.1.0 20060810
ipmi message handler version 39.1
intelfb: Framebuffer driver for Intel(R)
830M/845G/852GM/855GM/865G/915G/915GM/945G/945GM chipsets
intelfb: Version 0.9.4
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing disabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
isa bounce pool size: 16 pages
brd: module loaded
loop: module loaded
nbd: registered device at major 43
Intel(R) PRO/1000 Network Driver - version 7.3.20-k2
Copyright (c) 1999-2006 Intel Corporation.
e1000e: Intel(R) PRO/1000 Network Driver - 0.2.0
e1000e: Copyright (c) 1999-2007 Intel Corporation.
ACPI: PCI Interrupt 0000:00:19.0[B] -> GSI 19 (level, low) -> IRQ 19
eth0: (PCI Express:2.5GB/s:Width x1) 00:18:71:84:a5:9e
eth0: Intel(R) PRO/1000 Network Connection
eth0: MAC: 4, PHY: 6, PBA No: 1002ff-0ff
Intel(R) Gigabit Ethernet Network Driver - version 1.0.8-k2
Copyright (c) 2007 Intel Corporation.
Ethernet Channel Bonding Driver: v3.2.4 (January 28, 2008)
bonding: Warning: either miimon or arp_interval and arp_ip_target module
parameters must be specified, otherwise bonding will not detect link failures!
see bonding.txt for details.
PPP generic driver version 2.4.2
PPP Deflate Compression module registered
PPP BSD Compression module registered
PPP MPPE Compression module registered
NET: Registered protocol family 24
PPPoL2TP kernel driver, V1.0
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
ipddp.c:v0.01 8/28/97 Bradford W. Johnson <johns393@maroon.tc.umn.edu>
ipddp0: Appletalk-IP Encap. mode by Bradford W. Johnson <johns393@maroon.tc.umn.edu>
console [netcon0] enabled
netconsole: network logging started
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
scsi0 : ata_piix
scsi1 : ata_piix
ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x10e0 irq 14
ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x10e8 irq 15
ata1: SATA link down (SStatus 221 SControl 300)
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: ATAPI: PIONEER DVD-RW  DVR-212, 1.21, max UDMA/66
ata2.00: configured for UDMA/66
scsi 1:0:0:0: CD-ROM            PIONEER  DVD-RW  DVR-212  1.21 PQ: 0 ANSI: 5
usbmon: debugfs is not available
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 22 (level, low) -> IRQ 22
ehci_hcd 0000:00:1a.7: EHCI Host Controller
ehci_hcd 0000:00:1a.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1a.7: debug port 1
ehci_hcd 0000:00:1a.7: irq 22, io mem 0xf0525000
ehci_hcd 0000:00:1a.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.25-rc5-git4 ehci_hcd
usb usb1: SerialNumber: 0000:00:1a.7
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 20 (level, low) -> IRQ 20
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: irq 20, io mem 0xf0525400
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 4 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: EHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.25-rc5-git4 ehci_hcd
usb usb2: SerialNumber: 0000:00:1d.7
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1a.0: UHCI Host Controller
uhci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1a.0: irq 20, io base 0x00001020
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.25-rc5-git4 uhci_hcd
usb usb3: SerialNumber: 0000:00:1a.0
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1a.1: UHCI Host Controller
uhci_hcd 0000:00:1a.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1a.1: irq 21, io base 0x00001040
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.25-rc5-git4 uhci_hcd
usb usb4: SerialNumber: 0000:00:1a.1
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.0: irq 20, io base 0x00001060
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.25-rc5-git4 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.0
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 6
uhci_hcd 0000:00:1d.1: irq 21, io base 0x00001080
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb6: Product: UHCI Host Controller
usb usb6: Manufacturer: Linux 2.6.25-rc5-git4 uhci_hcd
usb usb6: SerialNumber: 0000:00:1d.1
usbcore: registered new interface driver usblp
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usbcore: registered new interface driver libusual
PNP: PS/2 Controller [PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input2
input: PC Speaker as /class/input/input3
input: ImExPS/2 Generic Explorer Mouse as /class/input/input4
I2O subsystem v1.325
i2o: max drivers = 8
i2c /dev entries driver
coretemp coretemp.0: Using relative temperature scale!
coretemp coretemp.1: Using relative temperature scale!
md: linear personality registered for level -1
md: raid0 personality registered for level 0
md: raid1 personality registered for level 1
md: raid10 personality registered for level 10
raid6: int64x1   1839 MB/s
raid6: int64x2   2359 MB/s
raid6: int64x4   1945 MB/s
raid6: int64x8   1625 MB/s
raid6: sse2x1    3289 MB/s
raid6: sse2x2    3781 MB/s
raid6: sse2x4    5640 MB/s
raid6: using algorithm sse2x4 (5640 MB/s)
md: raid6 personality registered for level 6
md: raid5 personality registered for level 5
md: raid4 personality registered for level 4
md: multipath personality registered for level -4
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
device-mapper: multipath: version 1.0.5 loaded
device-mapper: multipath round-robin: version 1.0.0 loaded
device-mapper: multipath emc: version 0.0.3 loaded
device-mapper: multipath hp-sw: version 1.0.0 loaded
device-mapper: multipath rdac: rdac: version 0.4 loaded
cpuidle: using governor ladder
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
Advanced Linux Sound Architecture Driver Version 1.0.16rc2 (Thu Jan 31 16:40:16
2008 UTC).
ALSA device list:
  No soundcards found.
oprofile: using NMI interrupt.
NET: Registered protocol family 26
IPv4 over IPv4 tunneling driver
GRE over IPv4 tunneling driver
TCP bic registered
TCP cubic registered
TCP westwood registered
TCP htcp registered
NET: Registered protocol family 1
NET: Registered protocol family 17
NET: Registered protocol family 15
Bridge firewalling registered
NET: Registered protocol family 5
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
SCTP: Hash tables configured (established 65536 bind 65536)
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
BIOS EDD facility v0.16 2004-Jun-25, 6 devices found
md: Autodetecting RAID arrays.
md: Scanned 0 and added 0 devices.
md: autorun ...
md: ... autorun DONE.
VFS: Cannot open root device "VolGroup00/LogVol00" or unknown-block(0,0)
Please append a correct "root=" boot option; here are the available partitions:
0100       4096 ram0 (driver?)
0101       4096 ram1 (driver?)
0102       4096 ram2 (driver?)
0103       4096 ram3 (driver?)
0104       4096 ram4 (driver?)
0105       4096 ram5 (driver?)
0106       4096 ram6 (driver?)
0107       4096 ram7 (driver?)
0108       4096 ram8 (driver?)
0109       4096 ram9 (driver?)
010a       4096 ram10 (driver?)
010b       4096 ram11 (driver?)
010c       4096 ram12 (driver?)
010d       4096 ram13 (driver?)
010e       4096 ram14 (driver?)
010f       4096 ram15 (driver?)
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
Comment 13 John Summerfield 2008-03-16 17:24:45 EDT
Created attachment 298218 [details]
config for kernel

This is the config for the kernel I built from the source contained in
kernel-2.6.25-0.121.rc5.git4.fc9.src.rpm
Comment 14 John Summerfield 2008-03-16 22:44:52 EDT
Created attachment 298228 [details]
Mote boot logs

This file contains two boot logs.

I have built a series of 2.6.24 and .r5-rc kernels using source from
kernel.org.

The first is from 2.6.24.3 and shows my drives being identified correctly. With
an appropriate initialisation script, it would run.

The second shoes 2.6.25-rc1 failing to identify my drives. It's beyond my help.


As near as possible, they are built using the same .config.

I don't think there is anything more I can do, except test your patch that
might fix it. Creating one is beyond me.
Comment 15 Chuck Ebbert 2008-03-18 13:55:35 EDT
2.6.25-rc (broken)
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
scsi0 : ata_piix
scsi1 : ata_piix
ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x10e0 irq 14
ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x10e8 irq 15
ata1: SATA link down (SStatus 221 SControl 300)
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: ATAPI: PIONEER DVD-RW  DVR-212, 1.21, max UDMA/66
ata2.00: configured for UDMA/66
scsi 1:0:0:0: CD-ROM            PIONEER  DVD-RW  DVR-212  1.21 PQ: 0 ANSI: 5


2.6.24 (working)
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
scsi0 : ata_piix
scsi1 : ata_piix
ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x10e0 irq 14
ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x10e8 irq 15
ata1.00: ATA-7: ST3320620AS, 3.AAK, max UDMA/133
ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata1.01: ATA-8: WDC WD5000AAKS-00YGA0, 12.01C02, max UDMA/133
ata1.01: 976773168 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata1.00: configured for UDMA/133
ata1.01: configured for UDMA/133
ata2.00: ATAPI: PIONEER DVD-RW  DVR-212, 1.21, max UDMA/66
ata2.00: configured for UDMA/66
scsi 0:0:0:0: Direct-Access     ATA      ST3320620AS      3.AA PQ: 0 ANSI: 5
scsi 0:0:1:0: Direct-Access     ATA      WDC WD5000AAKS-0 12.0 PQ: 0 ANSI: 5
scsi 1:0:0:0: CD-ROM            PIONEER  DVD-RW  DVR-212  1.21 PQ: 0 ANSI: 5
Comment 16 Jeffrey C. Ollie 2008-04-11 10:39:58 EDT
I tried booting the rawhide boot.iso dated 2008/04/11 on a HP DC7800 and it
doesn't see any drives, so an install is not possible.  I'll try later today to
get some more details on the hardware.
Comment 17 Jesse Keating 2008-04-15 08:01:44 EDT
Putting on the target until enough folks agree that this is a release blocker.
Comment 18 Alan Cox 2008-04-15 08:35:40 EDT
I think its a blocker as there are very similar reports on the kernel list for
other boxes.

Also we seem to have a diagnosis

--

Paul Collins wrote:
> I just noticed that my optical drive no longer works with 2.6.25-rc9.
> It works with 2.6.24.3.  git bisect claims the culprit is
> c729072459446885c5c200137de1db32da5db4dc ("ata_piix: implement SIDPR SCR
> access").

from kernel-list, with Tejun investigating
Comment 19 Jesse Keating 2008-04-15 08:46:55 EDT
Alright, so if there is an end in sight, I'll promote this to a release blocker.
 Thanks for the update Alan!
Comment 20 Chuck Ebbert 2008-04-21 10:01:47 EDT
Created attachment 303150 [details]
force hardreset when SATA link is in sleep mode

Tejun has posted this patch to fix the problem.
Comment 21 John Summerfield 2008-04-22 01:06:57 EDT
I'm willing to test a rawhide kernel when one's available, but....

I don't see why my freshly-turned on system should be in any sleep mode,
especially while booting. it doesn't sound right to me.

As Jeffry noted on 2008-04-11, all one needs to do to reproduce the problem is
to boot a rawhide install disk.

Comment 22 Chuck Ebbert 2008-04-22 12:47:38 EDT
(In reply to comment #21)
> I'm willing to test a rawhide kernel when one's available, but....
> 
> I don't see why my freshly-turned on system should be in any sleep mode,
> especially while booting. it doesn't sound right to me.
> 
> As Jeffry noted on 2008-04-11, all one needs to do to reproduce the problem is
> to boot a rawhide install disk.
> 

If your BIOS has options for it, try disabling SATA power management.
 

Comment 23 Chuck Ebbert 2008-04-22 13:14:44 EDT
Patch in F-9 kernel 2.6.25-6
Comment 24 John Summerfield 2008-04-23 01:54:15 EDT
(In reply to comment #23)
> Patch in F-9 kernel 2.6.25-6

I disable power management (there's no separate option for sata management) and
toggled hard-disk reset on resume. No effect.

The 2.6.25-6 kernel is not visible yet, I'll be away from tomorrow for a few
days, will check it when I'm back.

Is the fix in the xen kernel too? It has the same problem, though its
manifestation is quite different.

Comment 25 Erik van Pienbroek 2008-04-23 07:22:57 EDT
Created attachment 303480 [details]
dmesg of a HP7700, kernel 2.6.25-6, sata works

I was also experiencing this problem on a HP DC7700. With the 2.6.25-6 kernel
the SATA drive is detected normally. dmesg is attached
Comment 26 Chuck Ebbert 2008-04-23 16:24:17 EDT
*** Bug 442853 has been marked as a duplicate of this bug. ***
Comment 27 Chuck Ebbert 2008-04-26 21:21:08 EDT
*** Bug 443767 has been marked as a duplicate of this bug. ***
Comment 28 Chuck Ebbert 2008-04-26 23:59:25 EDT
*** Bug 438985 has been marked as a duplicate of this bug. ***
Comment 29 Jonathan Roberts 2008-04-27 03:43:02 EDT
I just installed the 2.6.25-10.fc9 kernel following an upgrade, and I think this
problem still exists. 

On boot the kernel loads but it fails to detect any volumes following that and
booting stops. fc8 kernel still works fine, and both are configured to point to
the same disc/partitions. 

Is there anyway I can provide more information about this?
Comment 30 John Summerfield 2008-04-27 05:37:02 EDT
[root@potoroo ~]# uname -r
2.6.25-8.fc9.x86_64
[root@potoroo ~]#

Thankyou gentlefolk.

Comment 31 Will Woods 2008-04-27 13:43:48 EDT
(In reply to comment #29)
> I just installed the 2.6.25-10.fc9 kernel following an upgrade, and I think this
> problem still exists. 
> 
> On boot the kernel loads but it fails to detect any volumes following that and
> booting stops. fc8 kernel still works fine, and both are configured to point to
> the same disc/partitions. 
> 
> Is there anyway I can provide more information about this?

See Chuck's logs in comment #15 - if you've got ata_piix and your 'dmesg' output does not have lines 
like:
scsi 0:0:0:0: Direct-Access     ATA      ST3320620AS      3.AA PQ: 0 ANSI: 5
then you're still seeing this same bug.

If ata_piix is finding the drives correctly, then you've got another problem.
Comment 32 Jonathan Roberts 2008-04-27 14:52:17 EDT
OK, I don't know how to get dmesg from the kernel that's failing to boot (if
anyone wants to let me know how or to point me in the right direction, I'd be
happy to do what needs doing), but I've attached the output of the dmesg from
sat 26th rawhide boot.iso - I guess this is the relevant bit, but I'll attach
the full thing too to be sure:

scsi2 : ata_piix
scsi3 : ata_piix
ata3: SATA max UDMA/133 cmd 0x60f8 ctl 0x611c bmdma 0x6020 irq 18
ata4: SATA max UDMA/133 cmd 0x60f0 ctl 0x6118 bmdma 0x6028 irq 18
ata3: SATA link down (SStatus 0 SControl 0)
firewire_core: created device fw0: GUID 001ff3fffe11ed76, S400
ata4: SATA link down (SStatus 0 SControl 0)
Driver 'sr' needs updating - please use bus_type methods
Comment 33 Jonathan Roberts 2008-04-27 14:52:56 EDT
Created attachment 303922 [details]
dmesg from sat 26th rawhide boot.iso

Note You need to log in before you can comment on or make changes to this bug.